summaryrefslogtreecommitdiffstats
path: root/source.local/k/sources/kernel/exynos5
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-04-16 12:45:23 +0200
committer Eric Hameleers <alien@slackware.com>2013-04-16 12:45:23 +0200
commitc8eba004d3e24772130c1483733a71061e890399 (patch)
treec84da6878b71bd4329dfa145583f06e4547aaed1 /source.local/k/sources/kernel/exynos5
parent16c06bbd42b8da955ae3b25e77ffff4d3f8f853c (diff)
downloadalienarm-c8eba004d3e24772130c1483733a71061e890399.tar.gz
alienarm-c8eba004d3e24772130c1483733a71061e890399.tar.xz
Exynos5: build ChromeOS kernel for Samsung ChromeBook (exynos5 CPU)
Sources in k/ have been updated and new d/device-tree-compiler sources have been added to allow compiling the ChromeOS kernel for the Samsung ChromeBook (with an Exynos5 CPU). Kernel sources are checked out of the chromium git repository,
Diffstat (limited to 'source.local/k/sources/kernel/exynos5')
-rw-r--r--source.local/k/sources/kernel/exynos5/get_src.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/source.local/k/sources/kernel/exynos5/get_src.sh b/source.local/k/sources/kernel/exynos5/get_src.sh
new file mode 100644
index 0000000..f983e26
--- /dev/null
+++ b/source.local/k/sources/kernel/exynos5/get_src.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+# Clone the chromeos kernel repository and create a tarball:
+
+KVER="3.4"
+SRCDIR="linux-${KVER}"
+
+GITURI="https://git.chromium.org/git/chromiumos/third_party/kernel.git"
+GITBRANCH="chromeos-$KVER"
+
+if [ ! -d "$SRCDIR" ]; then
+ echo "Cloning ChromeOS kernel repository"
+ mkdir $SRCDIR || exit 1
+ git clone $GITURI $SRCDIR
+ cd $SRCDIR
+ git checkout $GITBRANCH
+ cd -
+else
+ echo "Updating ChromeOS kernel repository"
+ cd $SRCDIR
+ git pull origin
+ cd -
+fi
+
+echo "Creating kernel tarball"
+tar --exclude=".git" --exclude=".gitignore" -Jcvf $SRCDIR.tar.xz $SRCDIR